# class TextEvent

###

Module | khtml
Namespace | DOM
Class | TextEvent
Inherits | DOM::UIEvent

### methods

- TextEvent ( )

  returns ctor

- TextEvent (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.TextEvent |

- TextEvent (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.Event |

- data ( )

  returns DOM.DOMString
  Not implemented

  data of type DOMString, readonly

  data holds the value of the characters generated by the character device. This may be a single Unicode character or a non-empty sequence of Unicode characters [Unicode]. Characters should be normalized as defined by the Unicode normalization form NFC, defined in [UTR #15]. Note: while the DOM spec specifies that the string never be empty, KHTML can not guarantee that

- initTextEvent (typeArg, canBubbleArg, cancelableArg, viewArg, dataArg)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  typeArg | DOM.DOMString |
  canBubbleArg | bool |
  cancelableArg | bool |
  viewArg | DOM.AbstractView |
  dataArg | DOM.DOMString |

  initTextEvent The initTextEvent method is used to initialize the value of a TextEvent object and has the same behavior as UIEvent.initUIEvent(). The value of UIEvent.detail remains undefined.

  Parameters:

  Specifies the event type. canBubbleArg of type boolean Specifies whether or not the event can bubble. cancelableArg of type boolean Specifies whether or not the event's default action can be prevent. viewArg of type views.AbstractView Specifies the TextEvent's AbstractView. dataArg of type DOMString Specifies TextEvent.data.